
MOSA Backlog - Task #2286

User Management - Phase 1

07/21/2020 03:40 PM - Yazan Awad

Status: Open Start date: 12/19/2019

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result:  

Severity: Normal Environment: QA

Category: Extranet\Intranet Transaction Number:  

Sub-Category:  Browser:  

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:    

Description

1- First Login --> Change password is a must (New Password and Confirm New Password) with the following information text "To

Change your Password enter and confirm your new password in the fields below" as displayed in the screenshot

2- Expired Password --> Information message (your password has expired, please renew your password) pop-up dialog with (Current

Password, New Password and Confirm new Password Fields) + Initially 90 days until Confirmation is decided the validity period

3- Forget Password (Refer to the IT Department) --> No Changes

4- Locked Users ..After 3 attempts ...lock the user and display the message " your user is locked, please refer to the IT Department"

5- User Management Screen (On Portal) the permitted user will be able to:

--> Add User

--> Deactivate user

--> Edit User

--> Reset Password

--> Unlock User

Related issues:

Copied from Task #2140: User Management - Phase 2 Open 12/19/2019

History

#1 - 07/21/2020 03:40 PM - Yazan Awad

- Copied from Task #2140: User Management - Phase 2 added

#2 - 07/21/2020 05:12 PM - Yazan Awad

- File Change Password.png added

- Description updated

#3 - 12/28/2020 06:56 PM - Zaid Shakboua

- Assignee changed from Zaid Shakboua to Saja Nakhleh

Done, i have created a portlet for user management, this portlet is restricted for portal administrators only.

you can access the new portlet from Extranet > USERNAME dropdown menu > User Store Management (إدارة مستودع المستخدمين).

--> Add User (Added).

--> Deactivate user (Added, it is actually "Delete user")

--> Edit User (Added).

--> Reset Password (Added, password can be reset from "Edit user").
--> Unlock User (Added).

At the main screen, the portlet users (portal administrators) are able to search and filter the result by many criterias, they can choose the users then

select to edit or delete.

We user the same screen (second screen) for "Create new user" and "Edit user", at entry, if the administrator enter an existing user name, the form

will switch into edit mode (also, if accessed the second page for edit and enter a new name the form switch into create new mode).

note: To get the user locked (to test "unlock" function), try to login 5 times with wrong password for this user

#4 - 01/04/2021 01:28 PM - Saja Nakhleh

Issue #1:

once the civil ID is added then all the fields will be reset and empty without occurring any info/ error message to show the exact mistake

steps and results are shown on the video:

https://www.loom.com/share/3c5dcc386aa64539870db62d3f0e2826

Issue #2:

the fields are not validating any thing, ie:

1. the civil ID should accept only 10 digits

2. username should accept English letters only

3. Mobile number should start with 6,5 or 9 and it's length 8 digits (or starts with 965 and it'd length is 11 digits)

4. phone number should start with 6,5 or 9 and it's length 8 digits (or starts with 965 and it'd length is 11 digits)

5. employee file number should accept digits only

6. profile picture should accept only the image format files (JPG, PNG, JPEG)

Issue #3:

1. create new user

2. Fill the username with an exist username that created before

3. Observe the occurred exception as on evidence 3.gif

Issue #4:

1. search for sajanakhleh2 user

2. click edit

3. update the username to any new value and click edit action

results: all the fields are reset and be empty, also the edit action will be replaced with add action,

observe the video:

https://www.loom.com/share/0a16690eb1384c47a695b588a09e1173

h2. if this is normal behavior as mentioned above (username is editable, then an info message should be occurred before switching to the add new

user screen), same message should be occurred when switching to edit screen)

Issue #5:

1. create new user and fill all the fields

2. login using this newly created user 5 times using invalid password

3. reopen the user profile from the user management screen and observe the (مجموعات المستخدم) field's value !

results: the (مجموعات المستخدم) field's value will be filled with the following values ONLY for the locked user !

evidence 4.gif
#5 - 01/04/2021 02:52 PM - Saja Nakhleh

- File 3.GIF added

- File 4.GIF added

- Assignee changed from Saja Nakhleh to Zaid Shakboua

#6 - 01/28/2021 02:50 PM - Zaid Shakboua

- Assignee changed from Zaid Shakboua to Saja Nakhleh

Issue #1:

once the civil ID is added then all the fields will be reset and empty without occurring any info/ error message to show the exact mistake

Answer: to verify if a user with the same Civil ID does not exist, the system will search by Civil Id and reset the form if not exist considering it as a new

user. note: this is also applicable on Usename field.

Fix:I've updated the form validation check to separate the validation and conditionally reset the form in case the new field value does not match any in

the database (the form do not reset if the Username match and Civil Id do not), a popup with the option to the next step will display when the field

mvalue match an existing account.

Issue #2:

the fields are not validating any thing, ie:

1. the civil ID should accept only 10 digits

--> fixed

2. username should accept English letters only

--> fixed

3. Mobile number should start with 6,5 or 9 and it's length 8 digits (or starts with 965 and it'd length is 11 digits)

--> fixed (we've added a select list of all of the available operators)

4. phone number should start with 6,5 or 9 and it's length 8 digits (or starts with 965 and it'd length is 11 digits)

--> fixed (we've added a select list of all of the available operators)

5. employee file number should accept digits only

--> fixed

6. profile picture should accept only the image format files (JPG, PNG, JPEG)

--> fixed (additionally, the image size should not exceed 5MB)

Issue #3:

1. create new user

2. Fill the username with an exist username that created before

fixed, same fix as the first point (issue #1)

Issue #4:

1. search for sajanakhleh2 user

2. click edit

3. update the username to any new value and click edit action

results: all the fields are reset and be empty, also the edit action will be replaced with add action

fixed, same fix as the first point (issue #1)

Issue #5: pending
#7 - 01/31/2021 11:17 AM - Saja Nakhleh

- File fields_ validations.GIF added

- File duplicated username.GIF added

Issue #1:

tested and verified.

Issue #2:

all the issues have been tested and verified. Observe evidence (fields' validations.gif)

Issue #3:

tested and verified. Observe evidence (duplicated username.gif)

Issue #4:

Verified as the username is not editable and become read only on the edit mode

Issue #5:

Pending

Files

Change Password.png 8.51 KB 07/21/2020 Yazan Awad

3.GIF 127 KB 01/04/2021 Saja Nakhleh

4.GIF 138 KB 01/04/2021 Saja Nakhleh

fields_ validations.GIF 95.4 KB 01/31/2021 Saja Nakhleh

duplicated username.GIF 43.4 KB 01/31/2021 Saja Nakhleh
